package com.ynet.life.controller;

import com.ynet.gene.core.Context;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.log.LifeActionLoggerFactory;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_controller.jar:com/ynet/life/controller/LifeCommonRequestController.class */
public class LifeCommonRequestController extends LifeRequestController {
    @Override // com.ynet.life.controller.LifeRequestController
    protected void preActionWork(HttpServletRequest request, Context sessionContext) throws TranFailException {
        LifeAccessCenter.checkUserPrivilege(request, getName(), sessionContext);
        LifeAccessCenter.checkSubmitTimestamp(request, sessionContext);
        LifeAccessCenter.checkHttpGENESID(request, sessionContext);
        LifeAccessCenter.checkClientIP(request, sessionContext);
        if (!"GET".equalsIgnoreCase(request.getMethod()) || this.inputView == null) {
            LifeAccessCenter.checkFormValidation(getName(), request);
        }
        LifeAccessCenter.verifFormData(getName(), request, sessionContext);
    }

    @Override // com.ynet.life.controller.LifeRequestController
    protected void pstActionWork(HttpServletRequest request, Context sessionContext, Throwable throwable) throws TranFailException {
        LifeActionLoggerFactory.checkActionLogger(this.flowDef, sessionContext, throwable);
    }
}
